Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Static Public Member Functions | Data Fields
Lucene::DocState Class Reference

`#include <DocumentsWriter.h>`

Inheritance diagram for Lucene::DocState:

## Public Member Functions

| DocState ()
virtual | ~DocState ()
virtual String | getClassName ()
boost::shared_ptr< DocState > | shared_from_this ()
virtual bool | testPoint (const String &name)
| Only called by asserts. More...
void | clear ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (LuceneObjectPtr other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (LuceneObjectPtr other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (LuceneObjectPtr other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()

## Data Fields

DocumentsWriterWeakPtr | _docWriter
AnalyzerPtr | analyzer
int32_t | maxFieldLength
InfoStreamPtr | infoStream
SimilarityPtr | similarity
int32_t | docID
DocumentPtr | doc
String | maxTermPrefix

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Constructor & Destructor Documentation

Lucene::DocState::DocState | ( | ) |  |

virtual Lucene::DocState::~DocState | ( | ) |  |

virtual

## Member Function Documentation

static String Lucene::DocState::_getClassName | ( | ) |  |

inline static

void Lucene::DocState::clear | ( | ) |  |

virtual String Lucene::DocState::getClassName | ( | ) |  |

inline virtual

boost::shared_ptr< DocState > Lucene::DocState::shared_from_this | ( | ) |  |

inline

virtual bool Lucene::DocState::testPoint | ( | const String & | name) |  |

virtual

Only called by asserts.

## Field Documentation

DocumentsWriterWeakPtr Lucene::DocState::_docWriter

AnalyzerPtr Lucene::DocState::analyzer

DocumentPtr Lucene::DocState::doc

int32_t Lucene::DocState::docID

InfoStreamPtr Lucene::DocState::infoStream

int32_t Lucene::DocState::maxFieldLength

String Lucene::DocState::maxTermPrefix

SimilarityPtr Lucene::DocState::similarity

The documentation for this class was generated from the following file:

- DocumentsWriter.h

clucene.sourceforge.net